package providers

import (
	"framework_v2/internal/access"
	"go.uber.org/zap"
)

var Logger *zap.Logger

func InitLogger() {
	if Logger != nil {
		return
	}

	var err error
	Logger, err = zap.NewProduction()

	if err != nil {
		panic(err)
	}

	access.Logger = Logger
}
